<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('progresses', function (Blueprint $table) {
            $table->id();
            $table->foreignId('exercise_id')->constrained('exercises');
            $table->foreignId('user_id')->constrained('users');
            $table->enum('status', ['completed', 'incompleted', 'incorrect'])->default('incompleted'); 
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('progresses');
    }
};
